Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.wsee.jws
Interface ServiceHandle

All Superinterfaces:
  Serializable

public interface ServiceHandle
extends Serializable

The ServiceHandle interface provides a persistable reference to a JWS service object. A ServiceHandle can refer to both a JWS service instance or to a JWS control instance that is associated with a JWS service instance.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `SCHEME_DEFAULT`
`static int` | `SCHEME_FILE`
`static int` | `SCHEME_FTP`
`static int` | `SCHEME_HTTP`
`static int` | `SCHEME_JMS`
`static int` | `SCHEME_SMTP`

Method Summary
`String` | `getContextURI()` Returns the base context URI that references the root of the application containing this component.
`String` | `getControlID()` Returns the identity of a control instance that the handle refers to.
`String` | `getConversationID()` Returns the identity of a JWS conversation instance that the handle refers to.
`String` | `getJNDIBaseName()` Returns a period-separated string based on the URI, which uniquely identifies this service on this server and is used to generate unique JNDI names for objects associated with this service.
`int` | `getScheme()` Returns the protocol scheme that was used to construct the ServiceHandle.
`String` | `getURI()` Returns a protocol-indendent URI which can be used to refer to this service.
`URL` | `getURL()` Returns a URL which defines a reference to this service using the same scheme that was used to construct the service handle.
`URL` | `getURL(int scheme)` Returns a URL which defines a reference to this service using the specified scheme.

Field Detail

### SCHEME_DEFAULT

    public static final int SCHEME_DEFAULT

See Also:
  Constant Field Values

### SCHEME_FILE

    public static final int SCHEME_FILE

See Also:
  Constant Field Values

### SCHEME_FTP

    public static final int SCHEME_FTP

See Also:
  Constant Field Values

### SCHEME_HTTP

    public static final int SCHEME_HTTP

See Also:
  Constant Field Values

### SCHEME_JMS

    public static final int SCHEME_JMS

See Also:
  Constant Field Values

### SCHEME_SMTP

    public static final int SCHEME_SMTP

See Also:
  Constant Field Values

Method Detail

### getContextURI

    public String getContextURI()

  Returns the base context URI that references the root of the application containing this component.

### getControlID

    public String getControlID()

  Returns the identity of a control instance that the handle refers to. This may be null if the handle is associated with a service instance instead of a control instance.

### getConversationID

    public String getConversationID()

  Returns the identity of a JWS conversation instance that the handle refers to. This may be null if referring to stateless service or constructed as a result of processing a stateless operation on a service.

### getJNDIBaseName

    public String getJNDIBaseName()

  Returns a period-separated string based on the URI, which uniquely identifies this service on this server and is used to generate unique JNDI names for objects associated with this service.

### getScheme

    public int getScheme()

  Returns the protocol scheme that was used to construct the ServiceHandle.

### getURI

    public String getURI()

  Returns a protocol-indendent URI which can be used to refer to this service.

### getURL

    public URL getURL()

  Returns a URL which defines a reference to this service using the same scheme that was used to construct the service handle.

### getURL

    public URL getURL(int scheme)

  Returns a URL which defines a reference to this service using the specified scheme.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD